#include <View.h>
#include "MyBYAddon.h"


MyBYAddon::MyBYAddon()
	: BYAddon()
{
	
}

MyBYAddon::~MyBYAddon()
{
}

// instantiate the view for the tab
BView *
MyBYAddon::CreateView(BRect *bounds)
{
	BView *v = new BView(*bounds, "a view", B_FOLLOW_ALL, B_WILL_DRAW);
	v->SetViewColor(255, 0, 0);
	return v;
}

// called when the user clicks the "Revert" button ?
void
MyBYAddon::Revert()
{
}

// called when the user clicks the "Save" button ?
void
MyBYAddon::Save()
{
}

// name for the tab
const char *
MyBYAddon::Name()
{
	return "ISA Ne2000";
}

// section name (for the config file)
const char *
MyBYAddon::Section()
{
	return "ISA_NE2K";
}

// description (for the config file)
const char *
MyBYAddon::Description()
{
	return "ISA Ne2k config";
}

// guess: the list the addon touches for the config (so that profiles can save them)
const BList *
MyBYAddon::FileList()
{
	BList *l = new BList();
//	l->AddItem((void *)"/boot/home/config/settings/kernel/drivers/ne2k");
	return l;
}

// determine the position on the tab pane
int
MyBYAddon::Importance()
{
	return BY_IMP_LOW;
}

// create the addon class and return it
BYAddon *instantiate(void)
{
	return (BYAddon *) new MyBYAddon();
}


