#include <bone_byaddon.h>

class MyBYAddon : public BYAddon {
public:
	MyBYAddon();
	virtual ~MyBYAddon();

	// Perform actions
	virtual BView *CreateView(BRect *bounds);	// return config view
	virtual void Revert();						// Revert to settings on disk
	virtual void Save();						// Save changes to disk

	// status/info
	virtual const char *Name();					// name of addon (for tab)
	virtual const char *Section();				// section name (for network.conf)
	virtual const char *Description();			// description of section
	virtual const BList *FileList();			// list of files used for configuration
	virtual int Importance();					// sort order in tab list.
	
};

